Bug 134965 - Crash in: swlo.dll
Summary: Crash in: swlo.dll
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-19 19:14 UTC by Telesto
Modified: 2020-08-10 10:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["swlo.dll"]


Attachments
Example file (53.10 KB, application/vnd.oasis.opendocument.text)
2020-07-19 19:14 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-19 19:14:58 UTC
Created attachment 163284 [details]
Example file

This bug was filed from the crash reporting server and is br-a2ae7fe6-2c5f-4402-82e3-271d79c6b02b.
=========================================

1. Open the attached file
2. CTRL+A
3. CTRL+X
4. CTRL+V -> Crash
Comment 1 Telesto 2020-07-19 19:15:10 UTC
Not in
6.4
Comment 2 Xisco Faulí 2020-07-20 12:00:55 UTC
Not reproducible in

Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Telesto, please add the info from Help - About LibreOffice
Comment 3 Telesto 2020-07-20 12:11:05 UTC
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 4 Xisco Faulí 2020-07-20 12:25:13 UTC
Reproduced with GEN

Version: 7.1.0.0.alpha0+
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Xisco Faulí 2020-07-20 12:37:01 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=166b5010b402a41b192b1659093a25acf9065fd9

author	Michael Stahl <Michael.Stahl@cib.de>	2020-04-02 17:18:37 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-04-03 17:20:22 +0200
commit	166b5010b402a41b192b1659093a25acf9065fd9 (patch)
tree	58a783dfc1800c604979380c121337ada3e5ad6f
parent	27aa4b16bf704d0246595750daf57b57ff2577b3 (diff)
tdf#130685 sw_redlinehide: fix copying to position following redline

Bisected with: bibisect-linux64-7.0

Adding Cc: to Michael Stahl
Comment 6 Commit Notification 2020-07-31 14:31:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aed92491f356b008fe1cd25b5cd6cc43279db3a3

tdf#134965 sw: avoid RemoveFollowFlowLine() SNAFU

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2020-07-31 14:32:14 UTC
hope it's fixed on master
Comment 8 Commit Notification 2020-08-01 22:06:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2d681cd9433c5e68cdb24c00128fe1153c278fce

tdf#134965 sw: avoid RemoveFollowFlowLine() SNAFU

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-01 22:07:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ffb822516a84c57c19638eafd51a4059a0592d5a

tdf#134965 sw: avoid RemoveFollowFlowLine() SNAFU

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-08-10 10:07:57 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael, thanks for fixing this issue!